#!/bin/sh

# (c) 2002 Ondrej Jombik <nepto@pobox.sk>

mysqldump --add-drop-table -d phpmyezin > mysql.sql 
grep '^DROP TABLE' mysql.sql | sed 's/^.*[ ]\(ezin_[a-z_]\+\);$/\1/g' > table-list.txt
mysqldump -t phpmyezin ezin_roles >> mysql.sql 
cat >> mysql.sql <<EOF
--
-- Default users
--
INSERT INTO ezin_users VALUES (1,'admin','896ae34257056a6edb7643e3db85bb21',0,1);
INSERT INTO ezin_users VALUES (2,'user', '896ae34257056a6edb7643e3db85bb21',0,3);

--
-- Default authors
--
INSERT INTO ezin_authors (id, name, email, homepage, description) VALUES
	(1,'Admin','platon@platon.sk','http://platon.sk/','This is Admin.');
INSERT INTO ezin_authors (id, name, email, homepage, description) VALUES
	(2,'Ondrej Jombk','nepto@platon.sk','http://nepto.sk/','This is Nepto. ;-)');

--
-- Default section
--
INSERT INTO ezin_sections
	(id, author_id, type, ord, a_limit,
	accesses_count, sessions_count, raw_accesses_count, raw_sessions_count,
	access_key, template_key, name, link)
VALUES
	(1,0,'global',100,10,
	NULL,NULL,NULL,NULL,
	'index','','Index','');
--
-- Default article
--
INSERT INTO ezin_articles
	(id, author_id, section_id,
	accesses_count, sessions_count, message_count,
	status, datetime, access_key, template_key,
	title, atitle, hometext, bodytext)
VALUES (1,2,1,
	NULL,NULL,NULL,
	'showed','2002-09-13 16:23:00','','',
	'Default article title','Default article annotation title',
	'Default article home text (annotation)',
	'Default article body text');

EOF

