<?php

$ezin_ADMIN_MENU = array(
		array(
			'action'   => 'articles',
			'caption'  => 'Articles',
			'link'     => 'articles.php',
			'inc_file' => 'articles.inc.php',
			'column'   => 'role_articles'),
		array(
			'action'   => 'authors',
			'caption'  => 'Authors',
			'link'     => 'authors.php',
			'inc_file' => 'authors.inc.php',
			'column'   => 'role_authors'),
		array(
			'action'   => 'sections',
			'caption'  => 'Sections',
			'link'     => 'sections.php',
			'inc_file' => 'sections.inc.php',
			'column'   => 'role_sections'),
		array(
			'action'   => 'editorials', 
			'caption'  => 'Editorials',
			'link'     => 'editorials.php',
			'inc_file' => 'editorials.inc.php',
			'column'   => 'role_editorials'),
		array(
			'action'   => 'messages',
			'caption'  => 'Messages',
			'link'     => 'messages.php',
			'inc_file' => 'messages.inc.php',
			'column'   => 'role_messages'),
		array(
			'action'   => 'bindings',
			'caption'  => 'Bindings',
			'link'     => 'bindings.php',
			'inc_file' => 'bindings.inc.php',
			'column'   => array('role_articles', 'role_sections')),
		array(
			'action'   => 'feedbacks',
			'caption'  => 'Feedbacks',
			'link'     => 'feedbacks.php',
			'inc_file' => 'feedbacks.inc.php',
			'column'   => 'role_feedbacks'),
		array(
			'action'   => 'users',
			'caption'  => 'Users',
			'link'     => 'users.php',
			'inc_file' => 'users.inc.php',
			'column'   => 'role_users'),
		array(
			'action'   => 'roles',
			'caption'  => 'Roles',
			'link'     => 'roles.php',
			'inc_file' => 'roles.inc.php',
			'column'   => 'role_roles'),
		array(
			'action'   => 'sessions',
			'caption'  => 'Sessions',
			'link'     => 'sessions.php',
			'inc_file' => 'sessions.inc.php',
			'column'   => 'role_sessions'),
		array(
			'action'   => 'config',
			'caption'  => 'Config',
			'link'     => 'config.php',
			'inc_file' => 'config.inc.php',
			'column'   => 'role_config'),
		array(
			'action'   => 'file_management',
			'caption'  => 'File mng',
			'link'     => 'file-mng.php',
			'column'   => 'role_file_management'),
		array(
			'action'   => 'help',
			'caption'  => 'Help',
			'link'     => 'help.php',
			'inc_file' => 'help.inc.php'),
		array(
			'caption'  => 'Logout',
			'link'     => 'logout.php')
		);

?>
