<?php

/*
 * phpMyEzin - e-zin content management system
 *
 * config/index.php - config directory redirection script
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@platon.sk>
 * Copyright (c) 2001-2004 Platon SDG, http://platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://platon.sk/projects/phpMyEzin/
 */

/* $Platon: $ */

chdir('../');
require_once 'config/loader.inc.php';
require_once 'Platon.php';

/*
 * HTTP/1.1 redirect according to RFC 2068
 */

/* Note that $_SERVER['REQUEST_URI'] can cause unfinished redirection loop
   thus $_SERVER['SCRIPT_NAME'] is used. */

$url         = parse_url('http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']);
$url['path'] = Platon::get_path_without_scriptname($url);
$url['path'] = Platon::str_replace_postfix('/', '', $url['path']);
$url['path'] = Platon::get_path_without_scriptname($url['path']);

header('Location: '.Platon::glue_url($url));

?>
